Jump to content


Photo
- - - - -

Shop not showing latest version download link


Best Answer Rob , 04 August 2013 - 03:30 PM

Hi,

 

I think this is by design, actually, 

 

We have two major products, Framework and DMS, and some plugins and sections we offer, as well as themes, have two versions - one for each.

 

When you login to the Store or your Launchpad account from Framework you're getting the last Framework version (latest as well) and not the DMS version, to avoid any conflicts.  Since DMS uses some of the same products but updated versions, we had to avoid a DMS customer getting an older version for Framework, and vice versa.

 

I hope this explains things.  You can go to http://launchpad.pagelines.com and there get the latest Framework version of anything you've previously purchased.

Go to the full post


  • Please log in to reply
3 replies to this topic

#1 flidget

flidget

    Advanced Member

  • Members
  • 57 posts
  • Country: Country Flag

Posted 03 August 2013 - 10:29 PM

I know there are still issues with the Framework 2.0 store, but as there is no list of know issues, here's one I've spotted that you may or may not already know about. The store is showing only the last version of the plug-in that was downloaded onto the site, and isn't prompting to download the latest version. See the last two entries in this forum post for an example.

Please Login or Register to see this Hidden Content

 

Great to have some Framework 2.0 store functionality back up. Well done, I've been able to get on with some changes today.

 

 



#2 Rob

Rob

    One Smart Egg

  • Members
  • 13575 posts
  • LocationEast Coast, USA
  • Framework Version:The Latest, of course
  • Country: Country Flag

Posted 04 August 2013 - 03:30 PM   Best Answer

Hi,

 

I think this is by design, actually, 

 

We have two major products, Framework and DMS, and some plugins and sections we offer, as well as themes, have two versions - one for each.

 

When you login to the Store or your Launchpad account from Framework you're getting the last Framework version (latest as well) and not the DMS version, to avoid any conflicts.  Since DMS uses some of the same products but updated versions, we had to avoid a DMS customer getting an older version for Framework, and vice versa.

 

I hope this explains things.  You can go to

Please Login or Register to see this Hidden Content

and there get the latest Framework version of anything you've previously purchased.


  • flidget likes this

#3 flidget

flidget

    Advanced Member

  • Members
  • 57 posts
  • Country: Country Flag

Posted 04 August 2013 - 05:12 PM

Hi Rob,

 

Thanks. It does explain things.

 

So, basically the design needs to be upgraded to align with the new idea that Pagelines sells more than one product. Each product can have associated software components at different versions. Can you pass this on to your Product Manager to resolve as a high priority? I appreciate this is a design flaw and not a bug.

 

However, I'm not sure your explanation is 100% on the money, as my quoted example is where a Framework version has an update available, but that isn't showing in the Framework 2.0 store. Unless Nick has suffered some retrograde issue - but he is pretty good on that sort of thing so I would be surprised if that was the whole story. Nick fixed this particular issue and put up a new version of the code in the Framework 2.0 whilst DMS was still incubating. I used it on other sites and it worked. Now I want this fixed version on my current site, it's not showing as available in the store.

 

I can see the latest version in the link you provide above and on that basis I'm happy to mark it as solved, But please don't forget to raise this design issue after the current crisis is over.



#4 Rob

Rob

    One Smart Egg

  • Members
  • 13575 posts
  • LocationEast Coast, USA
  • Framework Version:The Latest, of course
  • Country: Country Flag

Posted 04 August 2013 - 06:36 PM

Will do.